## org.apache.mahout.fpm.pfpgrowth.convertors
Class TransactionIterator<AP>

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.TransactionIterator<AP>

Type Parameters:
  `AP` -

All Implemented Interfaces:
  java.util.Iterator<Pair<int[],java.lang.Long>>

    public class TransactionIterator<AP>

extends java.lang.Object
implements java.util.Iterator<Pair<int[],java.lang.Long>>

Iterates over a Transaction and outputs the transaction integer id mapping and the support of the transaction

Constructor Summary
`TransactionIterator(java.util.Iterator<Pair<java.util.List<AP>,java.lang.Long>> iterator, java.util.Map<AP,java.lang.Integer> attributeIdMapping)`

Method Summary
`boolean` `hasNext()`
`Pair<int[],java.lang.Long>` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionIterator

    public TransactionIterator(java.util.Iterator<Pair<java.util.List<AP>,java.lang.Long>> iterator,
                               java.util.Map<AP,java.lang.Integer> attributeIdMapping)

Method Detail

### hasNext

    public final boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<Pair<int[],java.lang.Long>>`

### next

    public final Pair<int[],java.lang.Long> next()

  Specified by:
    `next` in interface `java.util.Iterator<Pair<int[],java.lang.Long>>`

### remove

    public final void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<Pair<int[],java.lang.Long>>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.